%set_strip_method none
%set_verify_elf_method textrel=relaxed


Name: mozilla-plugin-adobe-flash
Version: 9.0.31.0
Release: alt2

Group: Networking/WWW
Summary: Adobe Flash Player
URL: http://www.adobe.com/products/flashplayer/
License: Commercial


Provides: flash-plugin = %version-%release
Obsoletes: flash-plugin < %version-%release
Provides: mozilla-plugin-macromedia-flash = %version-%release
Obsoletes: mozilla-plugin-macromedia-flash < %version-%release


ExclusiveArch: %ix86
BuildRequires: browser-plugins-npapi-devel libgtk+2-devel xorg-x11-devel

Source: install_flash_player_9_linux-%version.tar.gz
Source1: LICENSE

%description
Adobe Flash Player %version (Macromedia Flash)
Fully Supported: Mozilla 1.0+, Netscape 7.x, Firefox 0.8+
Partially Supported: Opera, Konqueror 3.x

See the end user license in
  %_docdir/%name-%version/LICENSE.txt
See the distribution license in
  http://www.adobe.com/licensing/distribution/license/


%prep
%setup -q -n install_flash_player_9_linux
cp %SOURCE1 LICENSE.txt
chmod a-x ./*

#%%build

%install
mkdir -p -m 0755 %buildroot/%browser_plugins_path
#install -m 0644 flashplayer.xpt %buildroot/%browser_plugins_path
install -m 0644 libflashplayer.so %buildroot/%browser_plugins_path

# menu
mkdir -p -m 0755 %buildroot/%_menudir
cat >%buildroot/%_menudir/%name << __EOF__
?package(%name): \
needs="x11" \
section="Documentation" \
title="Adobe Flash Player EULA" \
command="/bin/sh -c \"\$BROWSER file://%_docdir/%name-%version/LICENSE.txt\"" \
icon="networking_www_section.png"
__EOF__

%post
%update_menus
%postun
%clean_menus

%files
%doc LICENSE* ?eadme.txt
#
%browser_plugins_path/*
%_menudir/%name

%changelog
* Mon Jan 22 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.31.0-alt2
- fix license && package description

* Fri Jan 19 2007 Sergey V Turchin <zerg at altlinux dot org> 9.0.31.0-alt1
- release 9.0.31.0

* Thu Oct 26 2006 Sergey V Turchin <zerg at altlinux dot org> 9.0.21.55-alt0.1.beta
- new beta version

* Mon Jun 19 2006 Sergey V Turchin <zerg at altlinux dot org> 7.0.63-alt1
- new version

* Wed Dec 28 2005 Sergey V Turchin <zerg at altlinux dot org> 7.0.61-alt1
- new version

* Thu Jan 06 2005 Alexey Gladkov <legion@altlinux.ru> 7.0.25-alt1.1
- browser-plugins-npapi support added;

* Fri May 28 2004 Sergey V Turchin <zerg at altlinux dot org> 7.0.25-alt1
- new version

* Thu May 27 2004 Sergey V Turchin <zerg at altlinux dot org> 6.0.81-alt2
- fix menu section

* Tue May 25 2004 Sergey V Turchin <zerg at altlinux dot org> 6.0.81-alt1
- new version
- add menufile to show license

* Fri Aug 01 2003 Sergey V Turchin <zerg at altlinux dot org> 6.0.79-alt1
- new version

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 6.0.69-alt1
- initial spec
